Name:           maven-changelog-plugin
Version:        2.3
Release:        2%{?dist}
Summary:        Produce SCM changelog reports

License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-changelog-plugin/
Source0:        http://archive.apache.org/dist/maven/plugins/maven-changelog-plugin-%{version}-source-release.zip

BuildArch: noarch

BuildRequires: maven-local
BuildRequires: maven-scm

%description
The Maven Changelog Plugin generates reports regarding the recent changes 
in your Software Configuration Management or SCM. These reports include 
the changelog report, developer activity report and the file activity report.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q 

# No netbeans-cvsclient support in fedora
%pom_remove_dep :maven-scm-provider-cvsjava

# Fix deps for maven 3
%pom_remove_dep org.apache.maven:maven-project
%pom_remove_dep org.apache.maven:maven-model
%pom_remove_dep org.apache.maven:maven-settings
%pom_add_dep org.apache.maven:maven-artifact
%pom_add_dep org.apache.maven:maven-compat

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Mat Booth <mat.booth@redhat.com> - 2.3-1
- Update to 2.3 release
- Drop ancient obsoletes/provides
- Update spec for modern guidelines

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.2-18
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 10 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2-16
- Drop dependency on plexus-container-default
- Resolves: rhbz#878552

* Wed Mar 20 2013 Michal Srb <msrb@redhat.com> - 2.2-15
- Migrate from maven-doxia to doxia subpackages (Resolves: #909226)

* Mon Feb 18 2013 Tomas Radej <tradej@redhat.com> - 2.2-14
- Removed BR on maven-shared (unnecessary + blocking maven-shared retirement)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.2-12
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Dec 11 2012 Michal Srb <msrb@redhat.com> - 2.2-11
- Migrated to plexus-containers-container-default (Resolves: #878552)
- Added license
- Use add_maven_depmap instead of add_to_maven_depmap

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild


* Tue Feb 21 2012 Jiri Vanek <jvanek@redhat.com> 2.2-9
- Added patch0 pom.patch to remove unused and from-fedora-removed maven cvsjava plugin
  and patch1 ChangeLog.java.patch which is fixing invalid character uncompileable by JDK7
- Added build requires maven-site-plugin to fix one maven warning

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Alexander Kurtakov <akurtako@redhat.com> 2.2-7
- Build with maven 3.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 09 2010 Hui Wang <huwang@redhat.com> - 2.2-5
- Add missing BR netbeans-cvsclient

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 2.2-4
- Add missing requires

* Wed Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.2-3
- Added epoch 1 to provides

* Tue Jun 01 2010 Hui Wang <huwang@redhat.com> - 2.2-2
- Change BR maven2-plugin-plugin to maven2-plugin-plugin
- Fix incoherent version in changelog
- Fix summary and description
- Add provides/obsoletes
- Add missing requires

* Mon May 31 2010 Hui Wang <huwang@redhat.com> - 2.2-1
- Initial version of the package
